Bug 727939 - Erroneous instructions in Procedure 10.2. Secure the HTTP Invoker
Summary: Erroneous instructions in Procedure 10.2. Secure the HTTP Invoker
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 5
Classification: JBoss
Component: doc-Installation_Guide
Version: 5.1.1
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: ---
Assignee: Russell Dickenson
QA Contact: Rajesh Rajasekaran
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 17:46 UTC by Dan Mace
Modified: 2014-05-15 04:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-15 04:41:15 UTC
Type: ---


Attachments (Terms of Use)

Description Dan Mace 2011-08-03 17:46:36 UTC
Description of problem:

"Procedure 10.2. Secure the HTTP Invoker" section of the installation guide states:

2. Define an associated security domain
Add the following to fragment to web.xml:
<jboss-web>
   <security-domain>jmx-console</security-domain>
</jboss-web>

This is incorrect. The correct instructions are to replace the contents of jboss-web.xml with the snippet provided, rather than to amend web.xml.

Version-Release number of selected component (if applicable):


How reproducible:

Follow the instructions as written.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

The server will fail to start with an error related to the lack of the jboss-web element.

Expected results:

Successful server startup.

Additional info:

Comment 1 Jared MORGAN 2011-08-03 22:23:59 UTC
Thanks for the feedback Dan. I'll schedule this for inclusion.

Comment 2 Dan Mace 2011-08-04 12:37:51 UTC
No problem! There are a couple more inaccuracies in that section I still need to file bugs for, which I'll try and get to today.

Comment 6 Ondrej Lukas 2014-04-08 11:41:25 UTC
Original issue is 3 years old and isn't part of current documentation. Verified on stage.


Note You need to log in before you can comment on or make changes to this bug.